Package net.sf.jasperreports.olap
Class JRMdxQueryExecuterFactory
- java.lang.Object
-
- net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
-
- net.sf.jasperreports.olap.JRMdxQueryExecuterFactory
-
- All Implemented Interfaces:
JRQueryExecuterFactory,QueryExecuterFactory,Designated
public class JRMdxQueryExecuterFactory extends AbstractQueryExecuterFactory implements Designated
- Author:
- Lucian Chirita (lucianc@users.sourceforge.net)
-
-
Field Summary
Fields Modifier and Type Field Description static java.lang.StringCANONICAL_LANGUAGEstatic java.lang.StringQUERY_EXECUTER_NAME-
Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory
QUERY_EXECUTER_FACTORY_PREFIX
-
-
Constructor Summary
Constructors Constructor Description JRMdxQueryExecuterFactory()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description JRQueryExecutercreateQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)Creates a query executer.java.lang.Object[]getBuiltinParameters()Returns the built-in parameters associated with this query type.java.lang.StringgetDesignation()protected java.lang.ObjectgetParameterValue(java.util.Map<java.lang.String,? extends JRValueParameter> valueParams, java.lang.String name)booleansupportsQueryParameterType(java.lang.String className)Decides whether the query executers created by this factory support a query parameter type.-
Methods inherited from class net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
createQueryExecuter
-
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
Methods inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory
createQueryExecuter
-
-
-
-
Field Detail
-
QUERY_EXECUTER_NAME
public static final java.lang.String QUERY_EXECUTER_NAME
- See Also:
- Constant Field Values
-
CANONICAL_LANGUAGE
public static final java.lang.String CANONICAL_LANGUAGE
- See Also:
- Constant Field Values
-
-
Method Detail
-
getBuiltinParameters
public java.lang.Object[] getBuiltinParameters()
Description copied from interface:QueryExecuterFactoryReturns the built-in parameters associated with this query type. These parameters will be created as system-defined parameters for each report/dataset having a query of this type. The returned array should contain consecutive pairs of parameter names and parameter classes (e.g.{"Param1", String.class, "Param2", "List.class"}).- Specified by:
getBuiltinParametersin interfaceJRQueryExecuterFactory- Specified by:
getBuiltinParametersin interfaceQueryExecuterFactory- Returns:
- array of built-in parameter names and types associated with this query type
-
createQueryExecuter
public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters) throws JRException
Description copied from interface:QueryExecuterFactoryCreates a query executer. This method is called at fill time for reports/datasets having a query supported by this factory.- Specified by:
createQueryExecuterin interfaceQueryExecuterFactory- Parameters:
jasperReportsContext- the JasperReportsContextdataset- the dataset containing the query, fields, etcparameters- map of value parameters (instances ofJRValueParameter) indexed by name- Returns:
- a query executer
- Throws:
JRException
-
getParameterValue
protected final java.lang.Object getParameterValue(java.util.Map<java.lang.String,? extends JRValueParameter> valueParams, java.lang.String name)
-
supportsQueryParameterType
public boolean supportsQueryParameterType(java.lang.String className)
Description copied from interface:QueryExecuterFactoryDecides whether the query executers created by this factory support a query parameter type. This check is performed for all $P{..} parameters in the query.- Specified by:
supportsQueryParameterTypein interfaceJRQueryExecuterFactory- Specified by:
supportsQueryParameterTypein interfaceQueryExecuterFactory- Parameters:
className- the value class name of the parameter- Returns:
- whether the parameter value type is supported
-
getDesignation
public java.lang.String getDesignation()
- Specified by:
getDesignationin interfaceDesignated
-
-